
Foreman - Bug #18549

Should not rebuild already correct DNS entries

02/17/2017 02:04 AM - Guido Günther

Status: New   

Priority: Normal   

Assignee: Guido Günther   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

On host rebuild the current DNS entry is deleted and a new one is created right away. This can cause havoc when DNS zone

replicaton lags so we should only delete DNS entries (in order to recreate them later) iff they're not correct.

History

#1 - 02/17/2017 02:10 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Guido Günther

- Pull request https://github.com/theforeman/foreman/pull/4297 added

#2 - 06/27/2018 01:09 PM - Ohad Levy

- Status changed from Ready For Testing to New

- Triaged set to No

- Pull request deleted (https://github.com/theforeman/foreman/pull/4297)
